> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Static Virtual Accounts

> Generate static account details (virtual accounts) for payout subaccount funding



## OpenAPI

````yaml get /payout-subaccounts/{account_reference}/static-account
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /payout-subaccounts/{account_reference}/static-account:
    get:
      tags:
        - Payout Subaccounts
      summary: Fetch Static Virtual Accounts
      description: >-
        Generate static account details (virtual accounts) for payout subaccount
        funding
      operationId: FetchStaticVirtualAccounts
      parameters:
        - name: currency
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: NGN
        - name: account_reference
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: PSAFF2118D1A33844332
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 09:54:39 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '151'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"97-AaQHL4M9eUAlNvCobaM+gg"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse28'
                  - example:
                      status: success
                      message: SERVICE-RESPONSE
                      data:
                        static_account: '6222126177'
                        bank_name: Sterling Bank
                        bank_code: '232'
                        currency: NGN
              example:
                status: success
                message: SERVICE-RESPONSE
                data:
                  static_account: '6222126177'
                  bank_name: Sterling Bank
                  bank_code: '232'
                  currency: NGN
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 10:38:55 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '68'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"44-Ermz/dFUAuz//fgkhq7Gfg"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorReference1'
                  - example:
                      status: error
                      message: Invalid Account Reference
                      data: null
              example:
                status: error
                message: Invalid Account Reference
                data: null
      deprecated: false
components:
  schemas:
    SampleSuccessResponse28:
      title: SampleSuccessResponse28
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data61'
      example:
        status: success
        message: SERVICE-RESPONSE
        data:
          static_account: '6222126177'
          bank_name: Sterling Bank
          bank_code: '232'
          currency: NGN
    SampleErrorReference1:
      title: SampleErrorReference1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: Invalid Account Reference
        data: null
    Data61:
      title: Data61
      required:
        - static_account
        - bank_name
        - bank_code
        - currency
      type: object
      properties:
        static_account:
          type: string
        bank_name:
          type: string
        bank_code:
          type: string
        currency:
          type: string
      example:
        static_account: '6222126177'
        bank_name: Sterling Bank
        bank_code: '232'
        currency: NGN
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````